Passer au contenu principal
GET
/
v1
/
price-books
List price books
curl --request GET \
  --url https://api.hyperline.co/v1/price-books \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "total": 1,
    "taken": 1,
    "skipped": 0
  },
  "data": [
    {
      "id": "prib_DKL4Xcb5VSa8CQ",
      "name": "Enterprise pricing",
      "description": null,
      "user_role_ids": [
        "<string>"
      ],
      "created_at": "2024-12-20T16:04:11Z",
      "updated_at": "2024-12-20T16:04:11Z"
    }
  ]
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de requête

take
number | null
défaut:50
Plage requise: 0 <= x <= 100
skip
number | null
défaut:0
Plage requise: x >= 0

Réponse

200 - application/json
meta
object
requis
data
object[]
requis

List of PriceBook.